Package org.postgresql.geometric

# Class PGpath

java.lang.Object
org.postgresql.util.PGobject
org.postgresql.geometric.PGpath

All Implemented Interfaces:
  `Serializable`, `Cloneable`

public class PGpath extends PGobject implements Serializable, Cloneable
This implements a path (a multiple segmented line, which may be closed).

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`open`
True if the path is open, false if closed.
`PGpoint @Nullable []`
`points`
The points defining this path.

### Fields inherited from class org.postgresql.util.PGobject

`type, value`

## Constructor Summary

Constructors
Constructor
Description
`PGpath()`
Required by the driver.
`PGpath(String s)`
`PGpath(PGpoint @Nullable [] points, boolean open)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
This must be overridden to allow the object to be cloned.
`void`
`closePath()`
`boolean`
`equals(@Nullable Object obj)`
This must be overridden to allow comparisons of objects.
`@Nullable String`
`getValue()`
This returns the path in the syntax expected by org.postgresql.
`int`
`hashCode()`
Compute hash.
`boolean`
`isClosed()`
`boolean`
`isOpen()`
`void`
`openPath()`
`void`
`setValue(@Nullable String s)`
This method sets the value of this object.

### Methods inherited from class org.postgresql.util.PGobject

`equals, getType, isNull, setType, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### open

public boolean open
True if the path is open, false if closed.

### points

public PGpoint @Nullable [] points
The points defining this path.

## Constructor Details

### PGpath

public PGpath(PGpoint @Nullable [] points, boolean open)

Parameters:
  `points` - the PGpoints that define the path
  `open` - True if the path is open, false if closed

### PGpath

public PGpath()
Required by the driver.

### PGpath

public PGpath(String s) throws SQLException

Parameters:
  `s` - definition of the path in PostgreSQL's syntax.
Throws:
  `SQLException` - on conversion failure

## Method Details

### setValue

public void setValue(@Nullable String s) throws SQLException
Description copied from class: `PGobject`
This method sets the value of this object. It must be overridden.

Overrides:
  `setValue` in class `PGobject`
Parameters:
  `s` - Definition of the path in PostgreSQL's syntax
Throws:
  `SQLException` - on conversion failure

### equals

public boolean equals(@Nullable Object obj)
Description copied from class: `PGobject`
This must be overridden to allow comparisons of objects.

Overrides:
  `equals` in class `PGobject`
Parameters:
  `obj` - Object to compare with
Returns:
  true if the two paths are identical

### hashCode

public int hashCode()
Description copied from class: `PGobject`
Compute hash. As equals() use only value. Return the same hash for the same value.

Overrides:
  `hashCode` in class `PGobject`
Returns:
  Value hashcode, 0 if value is null `Objects.hashCode(Object)`

### clone

public Object clone() throws CloneNotSupportedException
Description copied from class: `PGobject`
This must be overridden to allow the object to be cloned.

Overrides:
  `clone` in class `PGobject`
Throws:
  `CloneNotSupportedException`

### getValue

public @Nullable String getValue()
This returns the path in the syntax expected by org.postgresql.

Overrides:
  `getValue` in class `PGobject`
Returns:
  the value of this object

### isOpen

public boolean isOpen()

### isClosed

public boolean isClosed()

### closePath

public void closePath()

### openPath

public void openPath()